Skip to main content
GET
/
api
/
v3
/
admin
/
customer_groups
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const { data: groups } = await client.customerGroups.list({ page: 1, limit: 25 })
{
  "data": [
    {
      "id": "cg_UkLWZg9DAJ",
      "name": "VIPs",
      "description": "Top spenders",
      "customers_count": 0,
      "created_at": "2026-05-24T17:36:38.239Z",
      "updated_at": "2026-05-24T17:36:38.239Z"
    },
    {
      "id": "cg_gbHJdmfrXB",
      "name": "Wholesale",
      "description": null,
      "customers_count": 0,
      "created_at": "2026-05-24T17:36:38.240Z",
      "updated_at": "2026-05-24T17:36:38.240Z"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 2,
    "pages": 1,
    "from": 1,
    "to": 2,
    "in": 2,
    "previous": null,
    "next": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Query Parameters

page
integer

Page number

limit
integer

Number of records per page

q[name_cont]
string

Filter by name (contains)

sort
string

Sort by field. Prefix with - for descending (e.g., -created_at).

fields
string

Comma-separated list of fields to include. id is always included.

Response

customer groups found

data
object[]
required
meta
object
required